## org.apache.ivy.core.module.id
Class ArtifactRevisionId

    java.lang.Object
      org.apache.ivy.util.extendable.UnmodifiableExtendableItem
          org.apache.ivy.core.module.id.ArtifactRevisionId

All Implemented Interfaces:
  ExtendableItem

    public class ArtifactRevisionId

extends UnmodifiableExtendableItem

Identifies an artifact in a particular module revision

See Also:
  org.apache.ivy.core.module.id

Constructor Summary
`ArtifactRevisionId(ArtifactId artifactId, ModuleRevisionId mrid)`
`ArtifactRevisionId(ArtifactId artfId, ModuleRevisionId mdlRevId, java.util.Map extraAttributes)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`ArtifactId` `getArtifactId()`
`java.lang.String` `getExt()`
`ModuleRevisionId` `getModuleRevisionId()`
`java.lang.String` `getName()`
`java.lang.String` `getRevision()`
`java.lang.String` `getType()`
`int` `hashCode()`
`static ArtifactRevisionId` `newInstance(ModuleRevisionId mrid, java.lang.String name, java.lang.String type, java.lang.String ext)`
`static ArtifactRevisionId` `newInstance(ModuleRevisionId mrid, java.lang.String name, java.lang.String type, java.lang.String ext, java.util.Map extraAttributes)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.ivy.util.extendable.UnmodifiableExtendableItem
`getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes, setExtraAttribute, setStandardAttribute`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArtifactRevisionId

    public ArtifactRevisionId(ArtifactId artifactId,
                              ModuleRevisionId mrid)

### ArtifactRevisionId

    public ArtifactRevisionId(ArtifactId artfId,
                              ModuleRevisionId mdlRevId,
                              java.util.Map extraAttributes)

Method Detail

### newInstance

    public static ArtifactRevisionId newInstance(ModuleRevisionId mrid,
                                                 java.lang.String name,
                                                 java.lang.String type,
                                                 java.lang.String ext)

### newInstance

    public static ArtifactRevisionId newInstance(ModuleRevisionId mrid,
                                                 java.lang.String name,
                                                 java.lang.String type,
                                                 java.lang.String ext,
                                                 java.util.Map extraAttributes)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getArtifactId

    public ArtifactId getArtifactId()

  Returns:
    Returns the artifactId.

### getModuleRevisionId

    public ModuleRevisionId getModuleRevisionId()

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getExt

    public java.lang.String getExt()

### getRevision

    public java.lang.String getRevision()

  Returns:
    Returns the revision.